<?php

class ipay88_e_walletIpay88ModuleFrontController extends ModuleFrontController
{
	public $ssl = true;

    /**
     * @see FrontController::initContent()
     */

    public function initContent()
    {
		$cart = $this->context->cart;
		
		if ($cart->id_customer == 0 || $cart->id_address_delivery == 0 || $cart->id_address_invoice == 0 || !$this->module->active)
		Tools::redirect('index.php?controller=order&step=1');
		
		$this->display_column_left = false;
		
       	parent::initContent();
	
		$cart = $this->context->cart;
        
		if (!$this->module->checkCurrency($cart)) 
		{
            Tools::redirect('index.php?controller=order');
        }
	
		$merchant_domain = Tools::getShopDomainSsl(true).__PS_BASE_URI__;

		$view_ipay88_e_wallet_method_title	  	= Configuration::get('ipay88_e_wallet_method_title');		
        $view_ipay88_e_wallet_description     	= Configuration::get('ipay88_e_wallet_description');
				
		$view_ipay88_e_wallet_payment_types   	= Configuration::get('ipay88_e_wallet_payment_types');		
		$view_ipay88_e_wallet_payment_types_7 	= Configuration::get('ipay88_e_wallet_payment_types_7');
		$view_ipay88_e_wallet_payment_types_13 	= Configuration::get('ipay88_e_wallet_payment_types_13');
		$view_ipay88_e_wallet_payment_types_15 	= Configuration::get('ipay88_e_wallet_payment_types_15');
		$view_ipay88_e_wallet_payment_types_16 	= Configuration::get('ipay88_e_wallet_payment_types_16');
		$view_ipay88_e_wallet_payment_types_18 	= Configuration::get('ipay88_e_wallet_payment_types_18');
		
			
        $this->context->smarty->assign(array(
        	
			'nbProducts' 		=> $cart->nbProducts(),
            'cust_currency' 	=> $cart->id_currency,
            'currencies' 		=> $this->module->getCurrency((int)$cart->id_currency),
            'total' 			=> $cart->getOrderTotal(true, Cart::BOTH),
            'isoCode' 			=> $this->context->language->iso_code,
            'checkName' 		=> $this->module->checkName,
            'checkAddress' 		=> Tools::nl2br($this->module->address),
            
			'this_path' 		=> $this->module->getPathUri(),
            'this_path_check' 	=> $this->module->getPathUri(),
            'this_path_ssl' 	=> Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/',
					
			
			'ipay88_e_wallet_method_title' 		=> $view_ipay88_e_wallet_method_title,
			'ipay88_e_wallet_description' 		=> $view_ipay88_e_wallet_description,
			
			'ipay88_e_wallet_payment_types_7'	=> $view_ipay88_e_wallet_payment_types_7,
			'ipay88_e_wallet_payment_types_13'	=> $view_ipay88_e_wallet_payment_types_13,
			'ipay88_e_wallet_payment_types_15'	=> $view_ipay88_e_wallet_payment_types_15,
			'ipay88_e_wallet_payment_types_16'	=> $view_ipay88_e_wallet_payment_types_16,
			'ipay88_e_wallet_payment_types_18'	=> $view_ipay88_e_wallet_payment_types_18,
			
			'logo_e_wallet'  		=> 
			$merchant_domain.'modules/ipay88_e_wallet/assets/images/e-wallet-menu.png',
												
			'logo_xl_tunai'			=> 
			$merchant_domain.'modules/ipay88_e_wallet/assets/images/xl-tunai.png',
			
			'logo_mandiri_e_cash'	=> 
			$merchant_domain.'modules/ipay88_e_wallet/assets/images/mandiri-ecash.png',
			
			'logo_tcash'			=> 
			$merchant_domain.'modules/ipay88_e_wallet/assets/images/tcash.png',
			
			'logo_paypro'			=> 
			$merchant_domain.'modules/ipay88_e_wallet/assets/images/paypro.png',
			
			'logo_dompetku_plus'	=> 
			$merchant_domain.'modules/ipay88_e_wallet/assets/images/dompetku.png',
		
        ));   	

        $this->setTemplate('module:ipay88_e_wallet/views/templates/front/payment_execution.tpl');
   
    }
}

 
